Bug 1583017 - [RFE] Display the Virtual NIC Driver information attached to a specific VM/instance
Summary: [RFE] Display the Virtual NIC Driver information attached to a specific VM/in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.10.0
Assignee: lgalis
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-28 05:15 UTC by Nikhil Gupta
Modified: 2019-02-07 23:03 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3461061 None None None 2018-05-28 06:55:22 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Comment 5 lgalis 2018-05-30 03:52:57 UTC
Assign to Adam for adding the inventory collection part for this.

Comment 6 Adam Grare 2018-05-30 13:38:19 UTC
So we have a model attribute which is unused for VM guest devices so no schema changes needed which is a big plus.

Comment 8 CFME Bot 2018-05-30 14:34:00 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/master:

https://github.com/ManageIQ/manageiq-providers-vmware/commit/fda5cdfa7ab90e36bba855ed24fbab3da56f8fa5
commit fda5cdfa7ab90e36bba855ed24fbab3da56f8fa5
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed May 30 09:38:40 2018 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed May 30 09:38:40 2018 -0400

    Parse the VirtualEthernetCard model type

    There are a number of different types of VirtualEthernetCards [0]: E1000,
    Vmxnet3, etc... and this can be useful information to know.

    We set the GuestDevice#model attribute for storage adapters, this reuses
    that column to set the NIC's "model" type.

    [0] https://code.vmware.com/apis/358/vsphere#/doc/vim.vm.device.VirtualEthernetCard.html

    https://bugzilla.redhat.com/show_bug.cgi?id=1583017

 app/models/manageiq/providers/vmware/infra_manager/inventory/parser/virtual_machine.rb | 1 +
 app/models/manageiq/providers/vmware/infra_manager/refresh_parser.rb | 1 +
 spec/models/manageiq/providers/vmware/infra_manager/inventory/collector_spec.rb | 3 +
 spec/models/manageiq/providers/vmware/infra_manager/refresher_spec.rb | 1 +
 4 files changed, 6 insertions(+)

Comment 9 Adam Grare 2018-05-30 16:05:29 UTC
Backend done, moving to the UI team

Comment 11 Kedar Kulkarni 2018-10-11 20:18:50 UTC
I do see the additional information provided in CFME build 5.10.0.19. Including Virtual Network name and Switch Type.

Comment 12 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.